#!/usr/bin/perl -s
#
# Convert Perl Photo List to Flash/Actionscript list for use in Colr Pickrs.
# - Jim Bumgardner
#
$photolist = shift;
$dirname = shift;
$dirname = $photolist if !$dirname;
$dirname =~ s/\.ph// if $dirname =~ /\.ph$/;
$ifname = "$dirname/samples.ph";

die "makeFlashDB.pl <photolist_file> [<dirname>]\n" if !$photolist;
die "Photos have not yet been sampled with sampleSnaps.pl\n" if !(-e $ifname);

require "$ifname";

$poolname = $dirname;

open (OFILE, ">$poolname.as");
print OFILE "poolname='$poolname';\n";
print OFILE "imgdb = [\n";

$n = 0;
foreach $photo (@photos)
{
  print OFILE ",\n" if $n;
  printf OFILE "{r:%d,g:%d,b:%d,owner:'%s', secret:'%s', server:%d, id:%d}",
         int($photo->{r}*255.999), int($photo->{g}*255.999), int($photo->{b}*255.999),
         $photo->{owner}, $photo->{secret},$photo->{server}, $photo->{id} ;
  ++$n;
}
print OFILE "\n];\n";


close OFILE;
